/* Puertas a medida */
export async function getElementos() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/getAll`)
    return await respuesta.json()
}
export async function getPuertaBase() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/base`)
    return await respuesta.json()
}

export async function getTexturaExterior(id) {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-textura-exterior/${id}`)
    return await respuesta.json()
}

export async function getTexturaInterior(id) {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-textura-interior/${id}`)
    return await respuesta.json()
}

export async function getArmazones() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-armazones`)
    return await respuesta.json()
}

export async function getDisenos() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-disenos`)
    return await respuesta.json()
}

export async function getCristal() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-cristal`)
    return await respuesta.json()
}

export async function getCelosia() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-celosia`)
    return await respuesta.json()
}

export async function getManeral() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-maneral`)
    return await respuesta.json()
}

export async function getManija() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-manija`)
    return await respuesta.json()
}

export async function getFijos() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/elementos/get-fijos`)
    return await respuesta.json()
}

export async function getPesos() {
    const respuesta = await fetch(`${process.env.API_URL}/puertas-a-medida/pesos/list-weight`)
    return await respuesta.json()
}